import 'package:flutter/material.dart';
import 'package:niogu_app/core/constants/app_color.dart';
import 'package:niogu_app/core/constants/app_font_size.dart';
import 'package:sizer/sizer.dart';

class InformationCampaign extends StatelessWidget {
  final bool isTablet;
  final String information;
  const InformationCampaign({super.key, required this.isTablet, required this.information});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.only(bottom: 1.5.h),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.start,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Row(
            children: [
              Icon(
                Icons.info_outline,
                size: 3.5.w,
                color: AppColor.primaryColor,
              ),
              SizedBox(width: 0.75.w),
              Text(
                information,
                style: TextStyle(
                  color: AppColor.primaryColor,
                  fontSize: isTablet
                      ? (AppFontSize.medium - 1.25).sp
                      : (AppFontSize.small - 1.25).sp,
                ),
              ),
            ],
          ),
        ],
      ),
    );
  }
}